fuel does not provision software raid as shown in documentation

Bug #1569956 reported by Danil Akhmetov on 2016-04-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Maria Zlatkova
8.0.x
Undecided
Maria Zlatkova
Mitaka
High
Maria Zlatkova

Bug Description

Documentation of fuel / MOS-8 says that RAID-1 spans all disks available on node, and there is a trick to exclude some disks of software raid-1: https://docs.mirantis.com/openstack/fuel/fuel-8.0/operations.html#how-to-exclude-some-drives-from-raid-1-array

Actually it never happens. Fuel-agent Nailgun driver always adds '/boot' volume as regular, even if volume['type'] == 'raid':

https://github.com/openstack/fuel-agent/blob/master/fuel_agent/drivers/nailgun.py#L488-L497

Also current version of fuel does not provide software raid at all by default.

Danil Akhmetov (dinobot) on 2016-04-13
description: updated
Alexander Gordeev (a-gordeev) wrote :

initially, it was introduced to bypass mdadm metadata limitation on amount of components especially for centos.

https://github.com/openstack/fuel-agent/commit/524d6ff54b34195e02af0ddd085f9ffa921f3c3f

Changed in fuel:
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Fuel Python Team (fuel-python)
milestone: none → 10.0
tags: added: area-python
tags: added: area-docs
Dmitry Pyzhov (dpyzhov) on 2016-04-15
tags: added: volue
tags: added: module-volumes
removed: volue
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Krzysztof Szukiełojć (kszukielojc)
status: Confirmed → In Progress
Changed in fuel:
assignee: Krzysztof Szukiełojć (kszukielojc) → nobody
assignee: nobody → Fuel Python Team (fuel-python)
Dmitry Pyzhov (dpyzhov) on 2016-04-27
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Fuel Toolbox (fuel-toolbox)
Changed in fuel:
assignee: Fuel Toolbox (fuel-toolbox) → Alexander Gordeev (a-gordeev)
Alexander Gordeev (a-gordeev) wrote :

This bug is thoroughly connected with documentation. Starting since 7.0 and higher, Fuel doesn't provision software raid for /boot partition.

Changed in fuel:
assignee: Alexander Gordeev (a-gordeev) → Fuel Documentation Team (fuel-docs)

Fix proposed to branch: master
Change author: Mariia Zlatkova <email address hidden>
Review: https://review.fuel-infra.org/21182

Reviewed: https://review.fuel-infra.org/21182
Submitter: Olga Gusarenko <email address hidden>
Branch: master

Commit: 68c21937ab36cd6cac00e79208d58eafbdb5b683
Author: Mariia Zlatkova <email address hidden>
Date: Tue May 24 12:49:36 2016

[Ops Guide] Remove a non-relevant how-to

Removes the "Exclude some drives from RAID-1 array" how-to
as it is no more relevant.

Change-Id: Icc0cc6dff83f01dfd9cffbf499b97431896662e7
Closes-Bug: #1569956

Fix proposed to branch: stable/8.0
Change author: Mariia Zlatkova <email address hidden>
Review: https://review.fuel-infra.org/21312

Fix proposed to branch: stable/7.0
Change author: Mariia Zlatkova <email address hidden>
Review: https://review.fuel-infra.org/21314

Changed in fuel:
assignee: Fuel Documentation Team (fuel-docs) → Maria Zlatkova (mzlatkova)

Reviewed: https://review.fuel-infra.org/21312
Submitter: Olga Gusarenko <email address hidden>
Branch: stable/8.0

Commit: b860fc3e86774d82c11c230501d57c20fc201071
Author: Mariia Zlatkova <email address hidden>
Date: Thu May 26 15:51:35 2016

[Ops Guide] Remove a non-relevant how-to

Removes the "Exclude some drives from RAID-1 array" how-to
as it is no more relevant.

Change-Id: Icc0cc6dff83f01dfd9cffbf499b97431896662e7
Closes-Bug: #1569956
(cherry picked from commit 68c21937ab36cd6cac00e79208d58eafbdb5b683)

Reviewed: https://review.fuel-infra.org/21314
Submitter: Olga Gusarenko <email address hidden>
Branch: stable/7.0

Commit: c12ab2ad6e6c0e5f1eb74aab4c5bb803a0fa9275
Author: Mariia Zlatkova <email address hidden>
Date: Thu May 26 15:53:15 2016

[Ops Guide] Remove a non-relevant how-to

Removes the "Exclude some drives from RAID-1 array" how-to
as it is no more relevant.

Change-Id: Icc0cc6dff83f01dfd9cffbf499b97431896662e7
Closes-Bug: #1569956
(cherry picked from commit 68c21937ab36cd6cac00e79208d58eafbdb5b683)

Changed in fuel:
status: In Progress → Fix Committed
tags: added: dev-to-verify
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers